<?php
/**
 * The show view file of report module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2014 QingDao Nature Easy Soft Network Technology Co,LTD (www.cnezsoft.com)
 * @license     LGPL (http://www.gnu.org/licenses/lgpl.html)
 * @author      Yidong Wang <yidong@cnezsoft.com>
 * @package     report
 * @version     $Id$
 * @link        http://www.zentao.net
 */
?>
<?php include '../../../common/view/header.html.php';?>
<?php include '../../../common/view/datatable.html.php';?>
<div id='mainContent' class='main-row'>
  <div class='side-col col-lg'><?php include '../../view/blockreportlist.html.php'?></div>
  <div class='main-col'>
    <?php
    $desc = json_decode($report->desc, true);
    $clientLang = $this->app->getClientLang();
    if(!empty($desc[$clientLang])):
    ?>
    <div class='cell'>
      <div class='alert no-margin'><?php echo $desc[$clientLang];?></div>
    </div>
    <?php endif;?>
    <?php if($setVars):?>
    <div class="cell">
      <div class="with-padding">
        <form method='post'>
          <div class="table-row" id='conditions'>
            <?php include 'setvarvalues.html.php';?>
            <div class='col-md-3 col-sm-6'><?php echo html::submitButton($lang->crystal->query);?></div>
          </div>
        </form>
      </div>
    </div>
    <?php endif;?>
    <?php if(!empty($dataList) and isset($step)):?>
    <div class='cell'>
      <div class='panel'>
        <div class="panel-heading">
          <div class="panel-title"><?php echo $title;?></div>
          <?php if(common::hasPriv('report', 'crystalExport')):?>
          <nav class="panel-actions btn-toolbar">
            <?php echo html::a($this->createLink('report', 'crystalExport', "step=$step&reportID=$reportID"), $lang->export, '', "class='export btn btn-sm'")?>
          </nav>
          <?php endif;?>
        </div>
        <div class='panel-body scroll-table' data-ride='table' style='padding:0px;'>
        <?php if($step == 2):?>
          <?php include 'reportdata.html.php';?>
        </div>
        <?php elseif($step == 1):?>
          <table class='reportData table table-condensed table-striped table-bordered table-fixed' style='width: auto; min-width: 100%'>
            <thead>
              <tr>
                <?php $i = 0;?>
                <?php foreach($fields as $field):?>
                <?php $attr = $i == 0 ? "class='fixleft' data-width='auto'" : "class='flex-col' data-type='number' data-width='auto'";?>
                <th <?php echo $attr?>><?php echo $field;?></th>
                <?php $i++;?>
                <?php endforeach;?>
              </tr>
            </thead>
            <tbody>
              <?php foreach($dataList as $data):?>
              <tr>
                <?php foreach($data as $field => $value):?>
                <td><?php echo $value?></td>
                <?php endforeach;?>
              </tr>
              <?php endforeach;?>
            <tbody>
          </table>
        </div>
        <div class='panel-footer'><?php printf($lang->crystal->noticeResult, count($dataList), count($dataList))?></div>
        <?php endif;?>
      </div>
    </div>
    <?php endif;?>
  </div>
</div>
<script>
$(function()
{
    setTimeout(function()
    {
        if($('.reportData').width() > $('.reportData').closest('.panel').width())
        {
            maxWidth = 0;
            maxIndex = 0;
            $('.reportData thead tr th').each(function(i)
            {
                if(maxWidth < $(this).width())
                {
                    maxWidth = $(this).width();
                    maxIndex = i;
                }
            });

            var filter = $('.reportData').width() - $('.reportData').closest('.panel').width();
            var width  = maxWidth - filter;
            if(width > 0)
            {
                $('.reportData thead tr th').eq(maxIndex).width(width);
                $('.reportData').width('100%');
            }
        }
    }, 200);
});
</script>
<?php include '../../../common/view/footer.html.php';?>
